# git-server

The configs, tweaks, and pieces that make up the git.starcat.systems Forgejo server.

[![Forgejo Last Commit (main)](https://img.shields.io/gitea/last-commit/starcat-infra/git-server/main?gitea_url=https%3A%2F%2Fgit.starcat.systems&style=flat&logo=git&logoColor=fff&logoSize=auto&label=last%20commit%20(main))](https://git.starcat.systems/starcat-infra/git-server/src/branch/main)

## Contents
-   `forgejo`:
    -   `app_ini` > `app.ini`: the Forgejo configuration file
    -   `custom`: customizations/tweaks made to Forgejo's appearance
-   `caddy`:
    -   `Caddyfile`: the Caddy server configuration (reverse proxies Forgejo)

## More Information
For more information on this repo, please see [Forgejo in the handbook](https://about.starcat.systems/handbook/infrastructure/code/forgejo/).

## Repo Mirrors
Repo contents are automatically pushed to the following mirrors:

[![Main Forge Badge](https://img.shields.io/badge/git.starcat.systems-main-4BC61D?style=flat&logo=forgejo&logoColor=fff&logoSize=auto)](https://git.starcat.systems/starcat-infra/git-server)

[![SourceHut Badge](https://img.shields.io/badge/sourcehut-mirror-blue?style=flat&logo=sourcehut&logoColor=fff&logoSize=auto)](https://git.sr.ht/~starcatsys/git-server)

[![GitLab Badge](https://img.shields.io/badge/GitLab-mirror-blue?style=flat&logo=gitlab&logoColor=fff&logoSize=auto)](https://gitlab.com/starcatsys-mirror/starcat-infra/git-server)

⚠️ **These mirrors are not routinely monitored.** All issues and pull requests should be directed to the [main forge](https://git.starcat.systems/starcat-infra/git-server).

*[Why do we mirror some repos?](https://about.starcat.systems/handbook/infrastructure/code/mirroring/)*

## Making changes to Forgejo
1. Stop Forgejo: `sudo systemctl stop forgejo.service`
2. Upload new images/files (SFTP is probably easiest)
3. Chdir to the destination: `cd /var/lib/forgejo/custom/public/assets/img`
4. Change file permissions: `chown git:git apple-touch-icon.png  favicon.png  favicon.svg  logo.png  logo.svg`
5. Start Forgejo: `sudo systemctl start forgejo.service`
6. Wait for Forgejo to start, then refresh the site and make sure that changes flow through. You may have to give it a bit and/or clear your cache.

## Licensing Note
The changes and customizations to configurations, projects, and files in this repo are released under the MIT license. Other files, including those from Forgejo/Codeberg, Caddy, and images/logos may be released under different licenses.